/*
 * GUI Task
 *    Manage Wifi as client to get NTP time
 *    Display HH:MM 
 *    Display 2 line CID info for a few seconds 
 */
#ifndef _GUI_TASK_H
#define _GUI_TASK_H

#include <stdint.h>
#include <stdbool.h>
#include "freertos/task.h"


//
// Constants
//

// Theme hue (0-360)
#define GUI_THEME_HUE              240

// Screen indicies
#define GUI_SCREEN_MAIN            0
#define GUI_NUM_SCREENS            1

// LVGL evaluation rate (mSec)
#define GUI_EVAL_MSEC              25

//
// GUI Task notifications
//
// From cid_task
#define GUI_NOTIFY_PRIMARY_MESSAGE         0x00000001
#define GUI_NOTIFY_SECONDARY_MESSAGE       0x00000002



//
// Global variables
//
extern TaskHandle_t task_handle_gui;



//
// API
//
void gui_task(void* args);
void gui_set_screen(int n);
void gui_set_primary_msg(const char* msg, int to);
void gui_set_secondary_msg(const char* msg, int to);

#endif /* _GUI_TASK_H */